Subject: RE: [Techspec] Requirement about pre-aaproved (or consensus reach ed)text in doc uments

From: Bob Braden <[email-masked]>
Date: Thu, 17 Nov 2005 10:41:04 -0800 (PST)

*> 
  *> Actually, I think that there is a more positive/constructive approach to the
  *> particular case of IETF-mandated boilerplate.  In this case, we should be
  *> able to tell the RFC editor which boilerplate is required in which types of
  *> documents.  The RFC editor should be able to add this information to the
  *> style guide that is communicated to our copy editors, and the copy editors
  *> should be instructed not to change the template text.
  *> 

I don't understand this discussion.  Yes, of course, and we already
do this.

  *> On a related note -- would the RFC Editor be willing to share that style
  *> guide with the community?  I think that this would have two benefits:  (1)
  *> author/editors could attempt to comply with the style guide, resulting in
  *> fewer changes later, and (2) the community might be able to provide some
  *> feedback on the style guide to help us avoid repeated problems (like this
  *> one) in the future.
  *> 

Writing and maintaining a formal style guide is a non-trivial task in
itself, which requires resources we don't presently have (and according
to the IAD, are unlikely to EVER have.)  Nice idea, though.

Bob Braden

  *> Margaret
  *> 
  *> > -----Original Message-----
  *> > From: [email-masked] [mailto:[email-masked]] On
  *> > Behalf Of Thomas Narten
  *> > Sent: Thursday, November 17, 2005 8:55 AM
  *> > To: Wijnen, Bert (Bert)
  *> > Cc: Bob Braden; Techspec (E-mail)
  *> > Subject: Re: [Techspec] Requirement about pre-aaproved (or consensus reach
  *> > ed)text in doc uments
  *> > 
  *> > > So I think we have a requirement that
  *> > > - such text blocks that MUST NOT be edited/changed do exist
  *> > >   (and not just boiler plate)
  *> > > - we can specify to the publisher which these blocks are in
  *> > >   an authoritative manner
  *> > 
  *> > I think this is a bad approach. Too complicated in practice and extra
  *> > work. Plus, I suspect there will be a temptation to flag too much text
  *> > in this manner (i.e., easier to flag it than deal with potentially
  *> > changing it).
  *> > 
  *> > What I suspect would work better in practice is for the
  *> > author/editor/AD to be able to come back after the fact and say "this
  *> > was contentious text, please revert it back to the original, if
  *> > imperfect form".  And have that be the end of it.
  *> > 
  *> > A key question here are "how often does this happen in practice"
  *> > (i.e., occasionally, on some text, or frequently and with much
  *> > text). If the former, I think we'd be better off dealing with such
  *> > occurances after the fact (as exceptions) rather than as the common
  *> > case that must be proactively anticipated.
  *> > 
  *> > Thomas
  *> > 
  *> > _______________________________________________
  *> > Techspec mailing list
  *> > [email-masked]
  *> > https://www1.ietf.org/mailman/listinfo/techspec
  *> 

_______________________________________________
Techspec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/techspec